#
# a test client for testing Net::SSL-class's behavior
# together with LWP (aspa@hip.fi).
#
# $Id: lwptest.pm,v 1.3 1999/05/27 17:29:00 aspa Exp aspa $.
#

use strict;
use LWP::UserAgent;

my ($rq1, $rq2, $rq3, $rq4, $res, @res);

my $ua = new LWP::UserAgent;

# ddc328ff.0.
$rq1 = new HTTP::Request('GET', 'https://www.fortify.net');
# 5db5ffbd.0.
$rq2 = new HTTP::Request('GET', 'https://www.helsinki.fi');
# cacert.pem
$rq3 = new HTTP::Request('GET', 'https://www.hip.fi');


if($rq1) {
    print "******************** request 1 ********************\n";
    
    $res = $ua->request($rq1);
    if($res->is_success) {
	print "res1: '" . $res->headers->as_string . "'.\n";
    } else {
	print "request \$rq1 failed.\n";
    }
}

if($rq2) {
    print "******************** request 2 ********************\n";

    $res = $ua->request($rq2);
    if($res->is_success) {
	print "res2: '" . $res->headers->as_string . "'.\n";
    } else {
	print "request \$rq2 failed.\n";
    }
}


if($rq3) {
    print "******************** request 3 ********************\n";

    $res = $ua->request($rq3);
    if($res->is_success) {
	print "res3: '" . $res->headers->as_string . "'.\n";
    } else {
	print "request \$rq3 failed.\n";
    }
}

